Last Comment Bug 404160 - Linux-specific versions no longer showing up in UI
: Linux-specific versions no longer showing up in UI
Status: RESOLVED INVALID
:
Product: addons.mozilla.org Graveyard
Classification: Graveyard
Component: Administration (show other bugs)
: unspecified
: PowerPC Mac OS X
: -- major
: 4.x (triaged)
Assigned To: Michael Morgan [:morgamic]
:
Mentors:
http://addons.mozilla.org
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-17 06:53 PST by mgueury
Modified: 2016-03-07 07:30 PST (History)
10 users (show)
See Also:
QA Whiteboard:
Iteration: ---
Points: ---


Attachments

Description mgueury 2007-11-17 06:53:50 PST
User-Agent:       Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.8.1.9) Gecko/20071025 Firefox/2.0.0.9
Build Identifier: 

I got 3 users complaining since yesterday that their MacOs ask them to update the extension HTML Validator.

The problem is that the extension is port specific and not available for MacOSX on addons.mozilla.org.

Unhappily, I have no MacOS to reproduce it.

Reproducible: Always

Steps to Reproduce:
1. Install the extension HTML Validator for Mac OS X for PPC from here:

http://users.skynet.be/mgueury/mozilla/download.html

The PPC version is 0.795

2. Update the extensions 
   Another version is installed.
   Notice that there is no MacOS version on addon.mozilla.org
Actual Results:  
   Another version is installed.
   Notice that there is no MacOS version on addon.mozilla.org

Expected Results:  
Do not update the extension.


-
Comment 1 monbruno 2007-11-18 11:45:40 PST
*** This bug has been confirmed by popular vote. ***
Comment 2 Sebastian Hengst [:aryx][:archaeopteryx] 2007-11-18 11:51:27 PST
Regression from bug 402670? Could these people set the preference extensions.logging.enabled to true and manually check in the add-ons manager for the update? Then they should find in the error console an info message with the updateURL which had been requested. This is an important info for debugging the problem.
Comment 3 burningsnowman 2007-11-19 09:34:24 PST
Checking the log as suggested above, the URL is:
https://addons.mozilla.org/update/VersionCheck.php?reqVersion=1&id={3b56bcc7-54e5-44a2-9b44-66c3ef58c13e}&version=0.8.4.0&maxAppVersion=2.0.0.*&status=userEnabled&appID={ec8030f7-c20a-464f-9b0e-13a3a9e97384}&appVersion=2.0.0.9&appOS=Darwin&appABI=x86-gcc3

As the URL suggests, this is an Intel Mac with version 0.8.4.0 of the extension. Hope this helps.
Comment 4 Ted Thibodeau Jr 2007-11-19 09:41:21 PST
This is what I found in my Error Console, when checking for updates on
a PowerBook G4 (PPC-based Mac) with Html Validator 0.7.9.5 installed.

Possibly worth noting -- I had previously accepted the 0.8.4.0 update,
then re-installed the 0.7.9.5.  This might explain why the update request
now references 0.8.4.0 in the xpiURL

> Datasource: Update Started
> 
> Datasource: Addon Update Started: {3b56bcc7-54e5-44a2-9b44-66c3ef58c13e}
> 
> RDFItemUpdater:checkForUpdates sending a request to server for: https://addons.mozilla.org/update/VersionCheck.php?reqVersion=1&id={3b56bcc7-54e5-44a2-9b44-66c3ef58c13e}&version=0.7.9.5&maxAppVersion=2.0.*&status=userEnabled&appID={ec8030f7-c20a-464f-9b0e-13a3a9e97384}&appVersion=2.0.0.9&appOS=Darwin&appABI=ppc-gcc3, item = ({id:"{3b56bcc7-54e5-44a2-9b44-66c3ef58c13e}", version:"0.7.9.5", installLocationKey:"app-profile", minAppVersion:"0.8", maxAppVersion:"2.0.*", name:"Html Validator", xpiURL:"http://releases.mozilla.org/pub/mozilla.org/addons/249/html_validator-0.8.4.0-fx+mz+fl-win.xpi", xpiHash:"sha1:5b7b75114b96b68fce8662ffe11dc1e0e35b7a11", iconURL:"chrome://tidy/skin/tidy.png", updateRDF:"", type:2})
> 
> RDFItemUpdater:onDatasourceLoaded: Found a newer version of this item:
> ({id:"{3b56bcc7-54e5-44a2-9b44-66c3ef58c13e}", version:"0.8.4.0", installLocationKey:"app-profile", minAppVersion:"1.0", maxAppVersion:"2.0.0.*", name:"Html Validator", xpiURL:"http://releases.mozilla.org/pub/mozilla.org/addons/249/html_validator-0.8.4.0-fx+mz+fl-win.xpi", xpiHash:"sha1:5b7b75114b96b68fce8662ffe11dc1e0e35b7a11", iconURL:"", updateRDF:"", type:2})
> 
> Datasource: Addon Update Ended: {3b56bcc7-54e5-44a2-9b44-66c3ef58c13e}, status: 1
> 
> Datasource: Update Ended


Tangentially -- anyone building the HTML Validator for Mac OS X should be 
able to produce a "Universal Build" which can then be used on both Intel 
and PPC machines --

   http://developer.apple.com/documentation/DeveloperTools/Conceptual/cross_development/UniversalBinaries/chapter_4_section_1.html
Comment 5 mgueury 2007-11-22 05:56:13 PST
Just to answer to burningsnowman@hotmail.co.uk   2007-11-19 09:34:24 PST.
There is no version of Mac on Addon.mozilla.org for a lot of reasons.
Mostly due the issues I got there in the past with Mac and addons.

So, 
- the URL is maybe detect a Intel Mac with version 0.8.4.0
  but there is no Intel Mac with version 0.8.4.0 
  - it is NOT uploaded in addons.mozilla.org 
  - the first 0.8x intel mac Os X is 0.841 (so it is really impossible)
- also, I do not have a universal build due that I do not have any Mac
  and no users succedded to compile the extension on PPC. 

Thanks
Comment 6 mgueury 2007-11-22 05:57:21 PST
Also, I think that the compilation on PPC is now possible since 0.841 but I need that somebody does it. Thanks
Comment 7 mgueury 2007-11-28 01:54:47 PST
One more info:

The HTML validator extension is normally available in Windows and Linux on the addons site. But I got this another problem reported several days ago that I can check only now.

The linux version is not visible there anymore. Probably since the same date. When looking at the site with Linux, I see this.

Firefox: 1.0 – 2.0.0.*

Install Now (Windows)
Html Validator is not available for Linux.

But when I look at the admin site of addons, it seems right ???

Versions
    * Version 0.8.4.0 - Public
          o html_validator-0.8.4.0-fx+mz+fl-win.xpi (2119 KB) - Windows
    * Version 0.8.4.0 - Public
          o html_validator-0.8.4.0-fx+mz+fl-linux.xpi (1938 KB) - Linux


Is it possible that there is a issue of addons thinking that the linux version is now a macosx one ?

Thanks.

Ps: Notice, I have not updated the extension since a long time on this site. So, the problem is located somewhere in changes you have done recently.
Comment 8 mgueury 2007-11-28 02:11:37 PST
After looking the above logs:
 
1) Windows version is downloaded for MacOSX
2) The linux version has disappeared in the user interface
3) But all is still right in the admin interface

So, it seems that the platform algorithm for building RDF is now broken !

Thanks
Comment 9 mgueury 2008-01-24 13:43:52 PST
Please check this bug. I get a lot of lost users mails because of this. Thanks.
Comment 10 Michael Morgan [:morgamic] 2008-01-24 13:58:45 PST
Don't see the problem with windows being downloaded on osx.  I think this was an older problem that was fixed elsewhere (the Darwin string being picked up as "win", bad regexp -- that's been fixed for a while).

The linux version disappearing in the UI is a problem, we're looking into it.
Comment 11 Michael Morgan [:morgamic] 2008-03-14 14:24:33 PDT
mguery - can you take a look at preview and see if you still see the problem?

https://preview.addons.mozilla.org/en-US/firefox/
Comment 12 Fred Wenzel [:wenzel] 2008-10-16 18:58:11 PDT
Marking INCOMPLETE per the age of comment 11. Please reopen if the problem persists.
Comment 13 [:Aleksej] 2008-10-17 14:01:56 PDT
Version 0.8.5.2 appears Windows-only at AMO; version 0.8.4.0 appears about as described in comment #7.
Comment 14 Wil Clouser [:clouserw] 2009-11-03 18:37:59 PST
Judging from what I can see of the HTML validator history, up through version 0.7.9.5 you were uploading 2 files for each version (1 windows, 1 linux) which is correct.  After that it looks like you attempted making 1 file for each OS per version and making the versions the same number.  Then after 8.4.0 you started just adding the windows file with no other files.

If you add the linux file to the version (NOT a new version) it should work as expected.

I'm calling this invalid.  If I've misinterpreted please explain clearly what the problem is.  This bug is a bit muddled.
Comment 15 Jason 2011-06-21 13:42:43 PDT
I have updated to version 5 of Firefox and now I get the following error when I open any link that causes Firefox to startup on its first run...


HTML Validator extension for Firefox and Mozilla                             
FATAL ERROR : The dynamic C library  contained in the extension file could not be found.
Cause 1 : Operating System mismatch /  Cause 2: Linux / Cause 3: Windows Vista / Cause 4: Seamonkey upgrade
/ Cause 5: Browser / Cause 6: Other / Uninstall instructions


I have tried to download a valid OS in case it is a OS mismatch but when I download Windows version it restarts and I get the same error on its first run of Firefox.

I then looked for Seamonkey but can not find anything on my pc about this to uninstall it to find out if this is the cause.

I have disabled all add-on that were recently updated using the recently updated drop down wheel icon in the add-ons page.

I am at a loss as to why this is happening.

Any advise how I get this to work again?

Thanks again

Jason

Note You need to log in before you can comment on or make changes to this bug.